osl::DirectionTraitsGen< LONG_DL > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const bool | canPromoteTo =false
static const Direction | altDir =LONG_UR
static const Direction | longDir =LONG_DL
static const Direction | primDir =UR
static const int | blackDx =DirectionTraitsGen<DL>::blackDx
static const int | blackDy =DirectionTraitsGen<DL>::blackDy
static const int | ptypeMask

## Detailed Description

Definition at line 192 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< LONG_DL >::altDir =LONG_UR

static

Definition at line 194 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< LONG_DL >::blackDx =DirectionTraitsGen<DL>::blackDx

static

Definition at line 197 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< LONG_DL >::blackDy =DirectionTraitsGen<DL>::blackDy

static

Definition at line 198 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< LONG_DL >::canPromoteTo =false

static

Definition at line 193 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< LONG_DL >::longDir =LONG_DL

static

Definition at line 195 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< LONG_DL >::primDir =UR

static

Definition at line 196 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< LONG_DL >::ptypeMask

static

Initial value:
=
(1<<PBISHOP)|(1<<BISHOP)
osl::BISHOP
@ BISHOP
Definition basic_type.h:99
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91

Definition at line 199 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h